#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# Transform Class

Defined in: `src/math/Transform.js:6`

## Constructor

### `Transform`

()

Defined in `src/math/Transform.js:6`

- Index
- Methods
- Properties

## Item Index

### Methods

- pointToLocaFrame static
- pointToLocal
- pointToWorld
- pointToWorldFrame static

### Properties

- position
- quaternion

## Methods

### `pointToLocaFrame`

(

- `position`
- `quaternion`
- `worldPoint`
- `result`

)
static

Defined in `src/math/Transform.js:32`

#### Parameters:

- `position` Vec3
- `quaternion` Quaternion
- `worldPoint` Vec3
- `result` Vec3

### `pointToLocal`

(

- `point`
- `result`

)
Vec3

Defined in `src/math/Transform.js:48`

Get a global point in local transform coordinates.

#### Parameters:

- `point` Vec3
- `result` Vec3

#### Returns:

Vec3:

The "result" vector object

### `pointToWorld`

(

- `point`
- `result`

)
Vec3

Defined in `src/math/Transform.js:74`

Get a local point in global transform coordinates.

#### Parameters:

- `point` Vec3
- `result` Vec3

#### Returns:

Vec3:

The "result" vector object

### `pointToWorldFrame`

(

- `position`
- `quaternion`
- `localPoint`
- `result`

)
static

Defined in `src/math/Transform.js:59`

#### Parameters:

- `position` Vec3
- `quaternion` Vec3
- `localPoint` Vec3
- `result` Vec3

## Properties

### `position`

Vec3

Defined in `src/math/Transform.js:13`

### `quaternion`

Quaternion

Defined in `src/math/Transform.js:21`